root {
    box-sizing: border-box;
}

* {
    font-family: "Inter";
    box-sizing: inherit;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 90vh;

    background-color: rgb(42, 42, 255);
}

h1 {
    padding: 0;
    margin: 0;
    margin-bottom: 2rem;
}

form {
    display: flex;
    flex-direction: column;

    background-color: white;
    padding: 2rem 3rem;

    border-radius: .5rem;

    font-size: 1.25rem;

    width: 100%;
    max-width: 24rem;
}

p {
    color: red;
    margin: 0;
    padding: 0;
    margin-left: .1rem;
    margin-top: .5rem;
    font-size: .8rem;
}

legend {
    padding: 0;
    margin: 0;
    font-weight: 500;
    padding-bottom: .25rem;

    opacity: .75;
}

input+legend {
    margin-top: 1.5rem;
}

input {
    border-radius: .5rem;
    border: 2px solid rgb(161, 161, 161);

    padding: .5rem;
}

button {
    background-color: black;
    color: white;
    border: 0;
    border-radius: .5rem;
    margin-top: 2rem;

    font-family: "Inter";
    font-size: 1rem;
    font-weight: bold;
    padding: .75rem;

    cursor: pointer;
}